"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _style = _interopRequireDefault(require("styled-jsx/style"));

var _react = _interopRequireDefault(require("react"));

var _link = _interopRequireDefault(require("next/link"));

var _router = require("next/router");

var _stub = _interopRequireDefault(require("./stub"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var POSTS_PER_PAGE = 10;
var StubList = (0, _router.withRouter)(function (_ref) {
  var posts = _ref.posts,
      _ref$perPage = _ref.perPage,
      perPage = _ref$perPage === void 0 ? POSTS_PER_PAGE : _ref$perPage,
      router = _ref.router;
  var pages = Math.ceil(posts.length / perPage);
  var currentPage = Number(router.query.page || 1);
  return _react.default.createElement("div", {
    className: "jsx-4248391565" + " " + "postList"
  }, _react.default.createElement("div", {
    className: "jsx-4248391565"
  }, posts.slice((currentPage - 1) * perPage, currentPage * perPage).map(function (post, i) {
    return _react.default.createElement(_stub.default, {
      key: "".concat(post.filePath),
      post: post,
      prefetch: i < 3
    });
  })), _react.default.createElement("div", {
    className: "jsx-4248391565" + " " + "container pagination-container"
  }, _react.default.createElement("nav", {
    role: "navigation",
    "aria-label": "pagination",
    className: "jsx-4248391565" + " " + "pagination is-small"
  }, currentPage !== 1 && _react.default.createElement(_link.default, {
    href: "/blog?page=".concat(currentPage - 1)
  }, _react.default.createElement("a", {
    className: "jsx-4248391565" + " " + "pagination-previous"
  }, "Previous")), currentPage !== pages && _react.default.createElement(_link.default, {
    href: "/blog?page=".concat(currentPage + 1)
  }, _react.default.createElement("a", {
    className: "jsx-4248391565" + " " + "pagination-previous"
  }, "Next page")), _react.default.createElement("ul", {
    className: "jsx-4248391565" + " " + "pagination-list"
  }, posts.slice(0, pages).map(function (post, index) {
    return _react.default.createElement("li", {
      key: post.urlPath,
      className: "jsx-4248391565"
    }, _react.default.createElement(_link.default, {
      href: "/blog?page=".concat(index + 1)
    }, _react.default.createElement("a", {
      "aria-label": "Goto page ".concat(index + 1),
      className: "jsx-4248391565" + " " + "pagination-link ".concat((currentPage === index + 1 || index === 0 && !currentPage) && 'is-current')
    }, index + 1)));
  })))), _react.default.createElement(_style.default, {
    styleId: "4248391565",
    css: ".pagination-container.jsx-4248391565{max-width:1000px;margin:4rem auto;}.pagination-container.jsx-4248391565 ul.jsx-4248391565{list-style:none;}.postList.jsx-4248391565{margin:1.5rem;}.bottomFade.jsx-4248391565{width:800px;height:200px;z-index:99;position:absolute;bottom:0;left:0;background:url(/static/bottom-fade.png) bottom left;}"
  }));
});
var _default = StubList;
exports.default = _default;